/* ============== Variables ============= */
body {
	--font-family: aktiv-grotesk-condensed,Helvetica,Arial,sans-serif;
	
	--color-primary: #002b49;
	--color-primary-text: #fff;
	--color-secondary: #344b66;
	--color-secondary-text: #ffffff;
	--color-links: #002b49;
	--color-links-breadcrumb: #757575;	
	--color-links-hover: #2e2e2e;
	--color-background: #fff; /* Not implemented fully to work with other colors*/

	--color-table-primary: #fff;
	--color-table-secondary: #fff;
	--color-table-highlight: #eee;
	--color-table-border: #ddd;

	/* PLP Elements */
	--color-plp-thumbs-border: #eee;
	--plp-thumb-image-radius: 8px;
		
	/* Button Variables */
	--button-font-size: 16px;
	--button-padding: 6px 12px;
	--button-border-radius: 0px;
	--button-transition: all 0.1s ease-in-out;
	--button-box-shadow: 0 .5rem 0.5rem rgba(0, 0, 0, .15);
	--color-button: #085592;
	--color-button-text: #fff;
	--color-button-border: #085592;
	--color-button-hover: #07477a;
	--color-button-hover-text: #fff;
	--color-button-hover-border: #07477a;

	--color-form-border: #ddd;
	--color-image-carousel-border: #ddd;
}

/* ============== Button Style ============= */
.ui-button {
    transition: var(--button-transition);
    background: var(--color-button) !important;
    border-color: var(--color-button-border) !important;
    color: var(--color-button-text) !important;
    border-radius: var(--button-border-radius);
    padding: var(--button-padding);
    font-size: var(--button-font-size) !important;
    box-shadow: var(--button-box-shadow);
    border-width: 1px;
    font-weight: bold !important;
}
.ui-button:hover,
.ui-button:focus {
    background: var(--color-button-hover) !important;
    border-color: var(--color-button-hover-border) !important;
    color: var(--color-button-hover-text) !important;
    font-weight: 500;
}
.ui-dialog-titlebar .ui-button {
	padding: 0 !important;
}
.ui-dialog-titlebar .ui-button:hover {
	background: none !important;
}

/* ============== Breadcrumb Style ============= */
#plp-bread-crumb {
	background: 0 0 !important;
	border: none !important;
	color: var(--color-links-breadcrumb) !important;
	padding-left: 0 !important;
	font-weight: 700;
	margin-bottom: 0.25rem;
	margin-top: 0rem;
	font-size: 0px;
	padding-top: 0px !important;
	width: auto !important;
	& a {
		color: var(--color-links-breadcrumb) !important;
		text-decoration: none;
		text-transform: uppercase;
		font-size: 14px;
		&:hover {
			color: var(--color-links-hover) !important;
		}
		&:not(:last-of-type)::after {
			content: "//";
			color: #4288fc;
			margin: 0em .5em 0em 0.5em;
		}
		&:first-child {
			margin-left: 0;
		}
	}
}

/* ========= Header Links (Ecomerce, Quotes, Shopping Cart, Account) ========== */
#plp-header-links {
	color: var(--color-links) !important;
	padding-top: 0em !important;
	& a {
		text-decoration: none !important;
		color: var(--color-links) !important;
		line-height: 50px;
    	padding: 0 0 0 10px;
		&:hover {
			text-decoration: underline !important;
			color: var(--color-links-hover) !important;
		}
	}
	& #custom-submittal-widget {
		margin: 0 10px;
	}
}
/* Header Links pop-up window */
#ecomm-cart-info, #rfq-cart-info {
	& a#ecomm-view-cart, a#rfq-view-cart {
		color: var(--color-button-text) !important;
		&:hover {
			color: var(--color-button-hover-text) !important;
		}
	}
	& img {
		max-width: 50px;
		padding: 0 5px;
	}
}
nav#plp-header-links {
	height: auto !important;
	margin: 0 auto;
	color: var(--color-links);
	& ul li.cart-widget section.cart-widget-info, #my-account-widget .ui-widget-content {
		border-radius: 10px;
		box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);
		border-color: lightgray;
	}
	float: right;
}
/* CAD Cart pop-up */
#plp-cad-cartbench {
	font-family: var(--font-family);
	& .plp-cadqueue > ul {
		width: max-content;
		margin: 5px 0px;
		& >
		li {
			border-color: lightgray !important;
		border-radius: 3px;
		}
	;
		min-width: 200px;
	}
	& menu.filter-list {
		background-color: #fff !important;
		border-color: lightgray !important;
		border-radius: 10px;
		border-top-left-radius: 0px;
		box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);
		top: 2em;
	}
	& .plp-cadqueue {
		color: #000;
	}
	& .plp-cadqueue + ol.all-container {
		height: auto;
		& > li > .close {
			float: none;
			display: flex;
			& >	a {
				font-weight: 600;
				padding: 12px 8px !important;
				display: inline-block;
				margin: 3px 3px;
				transition: var(--button-transition);
				border-radius: var(--button-border-radius);
				background-color: var(--color-button) !important;
				border-color: var(--color-button-border) !important;
				min-width: 180px;
				text-align: center;
				width: 100%;
				&:hover {
					text-decoration: underline;
					background-color: var(--color-button-hover) !important;
					border-color: var(--color-button-hover-border) !important;
				}
			}
		}
	}
}

/* ======== Adjusting for medium sized images ===== */
#plp-list-description .plp-list-info.plp-list-info-right, #plp-tree-description .plp-tree-info.plp-tree-info-right {
    /* padding: 0 0 0 224px !important; */
}
#plp-list-description .plp-list-thumb.plp-list-thumb-left {
	/* width: auto; */
}

/* ============== Black/White Icons ============= */
body[data-pagetype=CADPublisher] .ui-icon,
body[data-pagetype=Category] .ui-icon,
body[data-pagetype=CategoryResult] .ui-icon,
body[data-pagetype=ItemDetail] .ui-icon {
    background-image: url("white.png") !important;
}
body[data-pagetype=Category] .ui-state-active .ui-icon, body[data-pagetype=Category] .ui-button:active .ui-icon,
body[data-pagetype=CategoryResult] .ui-state-active .ui-icon, body[data-pagetype=CategoryResult] .ui-button:active .ui-icon,
body[data-pagetype=ItemDetail] .ui-state-active .ui-icon, body[data-pagetype=ItemDetail] .ui-button:active .ui-icon {
    background-image: url("white.png") !important;
}

/* ============== Main Body Page Style ============= */
#plp-header-links, #plp-ps-cartbench {
	display: none;
}
#plp-page-actions {
	width: auto !important;
	float: right !important;
	padding: 0px 0px 8px 0px;
}
body, body[data-pagetype=CADPublisher] {
    background: var(--color-background);
    margin: 0;
}
#plp-container {
    width: 80% !important;
    background: var(--color-background) !important;
    padding-bottom: 1rem !important;
    padding-top: 0rem !important;
}
body[data-pagetype=CADPublisher] #plp-container {
	padding: 0 !important;	
}
body .ui-widget {
    font-family: var(--font-family);
    font-size: 1em;
}
@media (min-width: 1200px) {
	#plp-container, div[data-id="plp-searchbox"], #plp-terms {
		width: 100% !important;
	}
	nav#plp-header-links {
		/*! margin-right: 10%; */
	}
	#plp-cad-cartbench {
		/* margin-left: 10%; */
	}
}
@media (max-width: 1199px) {
	#plp-container, div[data-id="plp-searchbox"], #plp-terms {
		width: 85% !important;
	}
	nav#plp-header-links {
		margin-right: 7.5%;
	}
	#plp-cad-cartbench {
		margin-left: 7.5%;
	}
}
@media (max-width: 991px) {
	#plp-container, div[data-id="plp-searchbox"], #plp-terms {
		width: 90% !important;
	}
	nav#plp-header-links {
		margin-right: 5%;
	}
	#plp-cad-cartbench {
		margin-left: 5%;
	}
}
@media (max-width: 767px) {
	#plp-container, div[data-id="plp-searchbox"], #plp-terms {
		width: 95% !important;
	}
	nav#plp-header-links {
		margin-right: 2.5%;
	}
	#plp-cad-cartbench {
		margin-left: 2.5%;
	}
}

/* ============== General Components Style ============= */
a[href="/plp/htm/ibot.htm"],
#plp-container > .plp-page-spacer12:first-child, #plp-container > .plp-page-spacer12:nth-of-type(2), #plp-container > .plp-page-spacer12:nth-of-type(3) {
    display: none;
}
#plp-terms {
	margin: 0px auto;
	float: none;
	display: flex;
}
#plp-cad-cartbench {
	width: auto;
	/* margin-top: 1em; */
}
.header .ui-widget-header a {
    color: var(--color-secondary-text) !important;
}
.ui-widget-header, .ui-state-default.ui-state-active > a, .ui-widget-header .ui-state-default.ui-state-active, .ui-state-active, .ui-state-active > a, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, .filter-button.ui-state-default, .filter-option a {
    background: var(--color-primary) !important;
    border: 1px solid var(--color-primary) !important;
    color: var(--color-primary-text) !important;
}
.ui-widget-header.plp-action-bar, .ui-widget-header .ui-state-default, .ui-accordion .ui-accordion-header.ui-state-default, .ui-tabs-nav .ui-tabs-anchor {
    background: var(--color-secondary) !important;
    border: 1px solid var(--color-secondary) !important;
    color: var(--color-secondary-text) !important;
}
.ui-widget-content .ui-state-hover:not(.ui-button), .ui-widget-content .ui-state-focus {
    background: var(--color-table-highlight) !important;
    border: none;
}
#plp-anchors a, #plp-container .plp-page-rfi-switchbutton a, #plp-item-table-anchors a, #plp-list-description li div a, #plp-page-actions a, #plp-thumbs a, #plp-tree-description a, #recaptcha_privacy a, .plp-promo a, .plp-table-value a, .read-less-right a, .read-more-right a, .treeview a {
    text-decoration: none !important;
    color: var(--color-links) !important;
}
#plp-anchors a:hover, #plp-container .plp-page-rfi-switchbutton a:hover, #plp-item-table-anchors a:hover, #plp-list-description li div a:hover, #plp-page-actions a:hover, #plp-thumbs a:hover, #plp-tree-description a:hover, #recaptcha_privacy a:hover, .plp-promo a:hover, .plp-table-value a:hover, .read-less-right a:hover, .read-more-right a:hover, .treeview a:hover {
    text-decoration: underline !important;
    color: var(--color-links-hover) !important;
}
.ui-tabs .ui-tabs-panel {
    padding: 0 !important;
}
#plp-product-title {
	padding-bottom: 1em;
	& > h1 {
		font-weight: 700;
		font-size: clamp(2rem, calc(2rem + 20 * ((100vw - 29.9375rem) / 1441)), 2.5rem) !important;
		color: #2e2e2e;
		&::after {
			display: block;
			content: "";
			background-color: #085592;
			width: 100%;
			max-width: 75px;
			height: 5px;
			margin: 1rem 0 0 0;
		}
	}
	& br {
		display: none;
	}
}
.ui-widget-shadow {
    background-color: #eeeeee !important;
    background: none;
}
#plp-description-with-image, #plp-item-description-with-image {
	display: flex;
	/* Image Carousel Style */
	& .plp-image-carousel {
		background: none;
		border-radius: 5px;
		border: 1px solid var(--color-image-carousel-border);
		& li {
			background-color: var(--color-background) !important;
		}
	}
	& .plp-image-ctn {
		/* display: inline-block; */
		margin-right: 20px;
		border: 0;
	}
	& .caroufredsel_wrapper {
		border-radius: 5px 5px 0px 0px;
		border-bottom: 1px solid var(--color-image-carousel-border);
	}
	& #pager2 {
		background-color: var(--color-image-carousel-border);
		border-radius: 0px 0px 5px 5px;
	}
	& #imageGallery {
		z-index: 99999;
	}
}
#plp-sidebar-compare {
	& .plp-sidebar-compare-item {
		padding-bottom: 10px !important;
	}
	& .plp-sidebar-delete-item {
		padding-top: 4px !important;
	}
}

/* ============ Category Page =========== */
body[data-pagetype="Category"] #plp-thumbs {
    border-spacing: 20px 15px;
}
body[data-pagetype="Category"] .plp-thumb {
	border-color: var(--color-plp-thumbs-border);
	border-radius: 0.4rem;
	box-shadow: -0.2rem 0.2rem 0.4rem 0px rgb(0, 0, 0, 3%);
	padding: 10px;
	& img {
		border-radius: var(--plp-thumb-image-radius);
		transition: all 0.25s ease-in-out;
	}
	&:hover img {
		scale: 1.05;
	}
}
body[data-pagetype="Category"] {
	& #plp-list-description, #plp-tree-description {
		border-color: var(--color-plp-thumbs-border);
		border: none;
		& > li {
			border: 1px solid var(--color-plp-thumbs-border) !important;
			border-radius: 8px;
			margin-bottom: 10px;
			box-shadow: -0.2rem 0.2rem 0.4rem 0px rgb(0, 0, 0, 3%);
		}
	}
}

/* ============ Category Result Page Style =============== */
body[data-pagetype="CategoryResult"] table.floatThead-table[style*="table-layout: fixed"] {
    /* margin-top: 0px !important; Adjust if there is a floating header */
}
body[data-pagetype="CategoryResult"] .cad-fixed-popup,
body[data-pagetype="ItemDetail"] .cad-fixed-popup {
    /* top: 100px !important; Adjust if there is a floating header */
    z-index: 999999 !important;
}
table#plp-table-filter > tbody > tr:nth-child(odd) {
    background: var(--color-table-primary);
}
table#plp-table-filter > tbody > tr:nth-child(even) {
    background: var(--color-table-secondary);
}
table#plp-table-filter > tbody > tr.ui-state-default,
#plp-thumbs .plp-thumb.ui-state-hover {
    background: var(--color-table-highlight);
}
.plp-table-wrapper {
	border-color: var(--color-table-border);
	border-radius: 10px;
	box-shadow: 0.1rem 0.1rem 0.25rem 0px rgb(0, 0, 0, 5%);
}
img[name=ImageCADViewer] {
	max-width: 22px;
}
a[data-url*="&Revit"]>img[name=ImageCADViewer] {
	max-width: 26px;
}
img[src*="revit_icon.gif"] {
	max-width: 22px;
	margin-left: -5px;
}
body[data-pagetype=CategoryResult] .ui-accordion .ui-accordion-content {
    padding: 0;
	border-color: var(--color-table-border);
	border-bottom-left-radius: 8px;
	border-bottom-right-radius: 8px;
	box-shadow: -0.2rem 0.2rem 0.4rem 0px rgb(0, 0, 0, 3%);
}
body[data-pagetype="CategoryResult"] {	
	& .header td[data-sort] {
		background-color: var(--color-button); /* Sort Indicator, adjust color as needed */
	}
	& .header td[data-normal] {
		background-color: var(--color-secondary)
	}
}
#additional-options {
	box-sizing: border-box;
}
/* ============ Filter Style or Result Page ============ */
.plp-2-column-right #plp-sidebar {
    width: 23% !important
}
.plp-2-column-right #plp-main {
    width: 75.5% !important
}
#plp-sidebar {
	border-color: #fff;
	box-shadow: 0rem 0.1rem 0.4rem 0px rgb(0, 0, 0, 10%);;
	& select.ui-widget-content.plp-advlistbox {
	    width: 100%;
	    border-color: #ddd;
	}
	& .adv-attributecontrol {
	    width: 100%
	}
	& .ui-accordion .ui-accordion-content {
		padding: 0;
		border: none;
	}
}

/* ============= Item Detail =========== */
body[data-pagetype=ItemDetail] #plp-item-table-tabs {
    border: none !important;
}
body[data-pagetype=ItemDetail] #plp-item-table-tabs .plp-tab-content table:not(td>table) tr:nth-child(odd) {
    background-color: #fff !important;
}
#plp-item-table-tabs .plp-tab-content table {
    border: 1px solid var(--color-table-border) !important;
    border-top: none !important;
	& td.plp-table-value:first-child {
		border-left: 1px solid var(--color-table-border) !important;
	}
}
.ui-tabs .ui-tabs-nav {
    background: none !important;
    border: none !important;
    border-bottom: 1px solid var(--color-table-border) !important;
    padding-left: 0 !important;
}
.ui-tabs .ui-tabs-nav li {
    border-bottom-width: 1px !important;
}
body[data-pagetype=ItemDetail] .ui-accordion .ui-accordion-content {
    padding: 0;
	border-color: var(--color-table-border);
	border-bottom-left-radius: 8px;
	border-bottom-right-radius: 8px;
	box-shadow: -0.2rem 0.2rem 0.4rem 0px rgb(0, 0, 0, 3%);
}
.plp-oddrow {
    background-color: var(--color-table-secondary);
}
body[data-pagetype=ItemDetail] .ui-iconbutton {
	background: var(--color-primary);
	border: none;
	height: 1.25em;
	& .ui-icon-image {
		padding-bottom: 7px;
	}
	&.ui-state-hover {
	 background: var(--color-secondary) !important;	
	}
}

#plp-item-table-anchors {
	font-size: 0px;
	margin: 5px 0px;
	& a {
		transition: var(--button-transition);
		background: var(--color-button) !important;
		border-color: var(--color-button-border) !important;
		color: var(--color-button-text) !important;
		border-radius: var(--button-border-radius);
		padding: var(--button-padding);
		font-size: var(--button-font-size) !important;
		box-shadow: var(--button-box-shadow);
		margin-right: 5px;
	}
	& a:hover {
		background: var(--color-button-hover) !important;
    border-color: var(--color-button-hover-border) !important;
    color: var(--color-button-hover-text) !important;
	}
}
/* No Wrap for PN */
#plp-table-filter > tbody > tr {
	& td:first-child {
		padding-left: 30px;
		& input {
			margin-right: 7px;
			margin-left: -21px;
		}
		& a {
			white-space: nowrap;
			margin: auto;
			margin-left: 0px;
		}
		& label.plp-search-selection {
			display: none;
		}
	}
}
body[data-pagetype="CategoryResult"] #plp-table-filter tr td:first-child a {
    text-decoration: underline !important;
}
body[data-pagetype="CategoryResult"] #plp-table-filter tr td:first-child a:hover {
    text-decoration: none !important;
}

/* ============ Advanced Search 12 Page Style =============== */
body[data-pagetype=AdvancedSearch12] .ui-state-default > .adv-attributecontrol + a {
    border: none !important;
    background: none !important;
}
body[data-pagetype=AdvancedSearch12] .ui-state-default.plp-adv-left-panel,
body[data-pagetype=AdvancedSearch12] .ui-state-default.plp-adv-right-panel {
	background: #fff;
	color: #000;
}
body[data-pagetype=AdvancedSearch12] select.plp-advlistbox,
body[data-pagetype=AdvancedSearch12] .adv-attributecontrol {
	width: 100%
}
body[data-pagetype=AdvancedSearch12] .plp-adv-group-header a {
	color: var(--color-secondary-text);
}
#plp-advSearch {
  border-color: transparent;
	border-radius: 3px;
  padding: 5px;
	box-sizing: border-box;
	margin-bottom: 5px;
	background: #eeeeef;
}

/* ============ General Form Fields ============== */
#formholder .plp-form-textfield, #formholder .plp-form-textfield input, #formholder .plp-form-textfield textarea, #formholder .plp-form-email-textfield, #formholder .plp-form-email-textfield input, #formholder .plp-form-email-textfield textarea {
    border: 1px solid var(--color-form-border);
}
body[data-pagetype="Request"],
body[data-pagetype="Email"],
body[data-pagetype="EmailCart"],
body[data-pagetype="UserData"] {
	& .buttonBar.plp-form-button:first-child {
	    display: none;
	}
	& .buttonBar.plp-form-button {
	    border: none;
	    padding: 0;
	    width: 100%;
	}
}
.plp-request-info-form td.plp-form-heading,
.plp-request-email-info-form td.plp-form-email-heading,
.plp-cadrfx-group-body td.plp-cadrfx-left-panel,
.plp-cadrfx-group-body td.plp-cadrfx-right-panel,
.plp-cadrfx-group-body td.plp-form-heading {
	background: none;
	border: 1px solid var(--color-form-border) !important;
	color:#333;
	padding: 8px;
}
.plp-cadrfx-group-body input {
	border: 1px solid #bbb;
	border-radius: 3px
}
.plp-cadrfx-group-body select {
	border-radius: 3px;
	font-size: 0.9rem;
}

/*================== Request Page Style ================*/
body[data-pagetype="Request"] #formholder > table > tbody > tr:last-child {
    display: none;
}
body[data-pagetype="Request"] #formholder .plp-form-heading,
body[data-pagetype="Request"] .plp-product-request-info table td.plp-product-info-blankspace,
body[data-pagetype="Request"] .plp-product-request-info table td.plp-product-number {
	background:none;
	border: 1px solid var(--color-form-border);
	color:#333 ;
}
body[data-pagetype="Request"] .plp-product-attach-item .plp-product-attach-button-holder {
	border: 1px solid var(--color-form-border);
}

/* ============= Email Page ================== */
body[data-pagetype="Email"] table td.plp-form-email-heading {
	background:none !important;
	border: 1px solid var(--color-form-border);
	color: #333;
}

/* ============= Compare Page Style ================ */
body[data-pagetype="Compare"] {
	& #plp-description-with-image + .plp-page-spacer12,
	  #plp-buttonbar + .plp-page-spacer12 {
		display: none;
	}
	& #plp-compare-items {
		& a {
			color:var(--color-links) !important;
			text-decoration:underline !important;
		}
		& td {
			border-color: var(--color-form-border);
		}
		& td.plp-compare-product.ui-state-default {
			background: var(--color-table-highlight);
		}
	}
}


/* ======== CAD Pop-up Window style ======= */
#plpprogress.cadpublisher.ui-dialog-content.ui-widget-content.ui-dialog-normal {
	height: 760px !important;
	& iframe#cadiframe {
		min-height: 730px !important;
	}
}
#ui-id-4.cadpublisher.ui-dialog-content.ui-widget-content.ui-dialog-normal {
	max-height: 700px !important;
}
#cadviewer > iframe {
	height: 475px !important;
	width: 642px !important;
	border: 1px solid var(--color-form-border) !important;
	border-bottom: none !important;
}
.cad-fixed-popup.ui-dialog {
	border-radius: 8px 8px 16px 16px;
	border: none;
	width: 700px !important;
	& .ui-dialog-titlebar {
		font-size: 16px !important;
		padding: 0 1em !important;
		border-radius: 0;
	}
}
.ui-dialog-titlebar-close {
    border: none !important;
}
.ui-dialog-titlebar .ui-button {
	background: none !important;
}
body[data-pagetype="CADPublisher"] {
	& #plp-container {
	    width: auto !important;
	}
	& #plp-cad-emaildownload {
		margin-bottom: 0 !important;
		width: -webkit-fill-available !important;
		width: -moz-available !important;
		border-bottom: none !important;
		border-top-left-radius: 10px;
		border-top-right-radius: 10px;
		& #cad-basic {
			width: -webkit-fill-available;
			width: -moz-available;
			padding: 5px 8px 5px 8px;
			& #divPlpDownloadList {
				height: 32px;
				margin-bottom: 0;
				width: 40%;
				& select {
					border-radius: var(--button-border-radius);
					font-size: 14px;
					height: 32px;
					padding-left: 5px;
				}
			}
			& div:nth-child(2) {
				width: 60%;
				& #scope-plp-cadupdateuser {
					padding: 7px 0px;
				}
			}
		}
	}
	
	& #cad-model {
		margin-top: 0px;
		margin-bottom: 0px;
		height: 478px;
		& >	article {
			padding-top: 0 !important;
			padding-bottom: 0 !important;
		}
		& #cad-new-viewer {
			height: 478px;
			padding: 0px 0px!important;
			border-left: 0px solid var(--color-form-border) !important;
			border-right: 0px solid var(--color-form-border) !important;
			& #new-cadviewer {
				height: 478px;
			}
		}
	}
	
	& #cad-info {
		line-height: 22px;
		width: -webkit-fill-available !important;
		width: -moz-available !important;
		border-bottom-left-radius: 10px;
		border-bottom-right-radius: 10px;
		border: 1px solid var(--color-form-border);
		border-left: 0px;
		margin-bottom: 6px;
		& dt, dd {
			font-size: 14px;
		border: 0px solid !important;
		}
		& dd {
			color: #707070;
		}
		& dl:not(:last-child) {
		    border-bottom: 1px solid var(--color-form-border);
		}
		& dl:last-child {
			& dt {
				border-bottom-left-radius: 9px;
			}
			& dd {
				border-bottom-right-radius: 10px;
			}
		}
		& >	article {
			width: -webkit-fill-available;
			width: -moz-available;
		}
	}
	& input.plp-rfx {
		width: 97%;
	}
	& #plp-additional-downloads {
		& .lblAdditionalDownloads {
			padding-top: 0;
		}
	}
	& .plp-page-spacer12 {
		display: none;
	}
	    & .plp-cadrfx-right-panel {
        padding: 0px !important;
        & input {
            padding: 5px;
        }
    }
    & .plp-cadrfx-left-panel {
        padding: 0px !important;
        padding-left: 5px !important;
    }
}

/* ======== Default Search Style ======= */
div[data-id="plp-searchbox"] {
    margin: auto;
    float: none !important;
    padding-top: 22px;
	& nav.plp-page-searchBox, nav.plp-page-categorySelect {
		margin: 0.5rem 0px 0.5rem 5px;
	    background-color: var(--color-primary);
	    border-color: var(--color-primary);
	    height: 28px;
	}
	& nav.plp-page-searchBox {
		& select {
		    border-radius: 2px;
		    border-right: none;
		    border-bottom-right-radius: 0;
		    border-top-right-radius: 0;
		    font-size: 15px;
		}
		& input {
		    border-left: none;
		    border-bottom-left-radius: 0;
		    border-top-left-radius: 0;
			  font-size: 15px;
			  border: none;
		}
	}
	& .plp-page-categorySelect {
		border-color: var(--color-primary);
		& select {
			font-size: 15px;
			border-radius: 2px;
			background-color: white;
		}
	}
}

/* ========= Search Page (Keyword) Style ======== */
body[data-pagetype="Keyword"] {
	& .plp-search-result-with-imgRight .plp-search-row {
		width: 100%;
	}
	& .plp-search-selection {
		background: none !important;
		border: none !important;
		box-shadow: none;
	}
}

/* ========= Not Found page ============ */
body[data-pagetype="NotFound"] {
	& header, 
	footer,
	div[data-id="plp-searchbox"] {
		display: none;
	}
}
/* ============= Cart Page Style ============= */
#view-cart-shipping-widget, #ecomm-tax-exempt {
	background: none !important;
	border: none !important;
}

/* ============= CAD Cart Page Style ========= */
#plp-cadcart-page-pagination .plp-cadcart-pageinfo {
	background: var(--color-primary);
	color: var(--color-primary-text);
}

/* ========== Express Ordering Page Style ========= */
#plp-expressorder {
	& .ecomm-express-item input[type="checkbox"] {
		margin-right: 5px;
		margin-top: 0px;
	}
}

/* ================ Sign In ================ */
#plp-signin {
	box-sizing: border-box;
	border: none;
	border-radius: 0 0 10px 10px;
}
.ui-widget.pcat-card {
	box-shadow: 0 0 10px -2px rgb(0, 0, 0, 0.3);
	border-radius: 0 0 10px 10px;
}

/* ========= Configurator Page Style =========== */
body[data-pagetype=Configurator] {
	& #plp-buttonbar-configure {
		margin: 5px 0px;
		& > span {
			margin-left: 6px;
		}
	}
	& #plp-configurator #plp-configure-accordion table td {
	    background: 0 0;
		color: black;
	}
}

/* ============ Print Page Header =============== */
.print_header div:first-child {
	width: 100%;
	max-width: 125px;
	display: block;
	& .scale {
		max-width: 100%;
		padding-top: 66%;
	}
}
.print_header div {
	float: left;
	margin-right: 15px;
	margin-top: 10px;
}


/* ========== Better Responsivness Styles ============*/
@media (max-width: 992px) {
	.plp-page-divider:has(+ #plp-page-pagination-table),
 	#plp-page-pagination-table {
		width: 100% !important;
	}
}
@media (max-width: 768px) {
	body[data-pagetype=CategoryResult], body[data-pagetype=ItemDetail] {
		.firstcolumn, .secondcolumn {
	        width: 100% !important;
	    }
	}
}


.plp-list-thumb {
    margin: 0 24px 0 0;
    width: 190px!important;
}

input[type="checkbox"] {
  margin-right: 5px;
}

[itemprop="description"]  ul {
	margin:0;
}

#plp-table-filter br {
    display: none;
}

#plp-additional-downloads .padding-6-0 {
    transition: var(--button-transition);
    background: var(--color-button) !important;
    border-color: var(--color-button-border) !important;
    color: var(--color-button-text) !important;
    border-radius: var(--button-border-radius);
    padding: var(--button-padding);
    font-size: var(--button-font-size) !important;
    box-shadow: var(--button-box-shadow);
    border-width: 1px;
    font-weight: bold !important;
    margin-bottom: 12px;
}
#plp-additional-downloads .padding-6-0:hover,
#plp-additional-downloads .padding-6-0:focus {
    background: var(--color-button-hover) !important;
    border-color: var(--color-button-hover-border) !important;
    color: var(--color-button-hover-text) !important;
    font-weight: 500;
}

#plp-additional-downloads :before {

    color: white;
}

#plp-additional-downloads a {

    color: white;
	text-decoration: none;
}

body[data-pagetype='CADPublisher'] .lblAdditionalDownloads {
    padding:0!important;
}

#plp-additional-downloads {

    padding-left:5px
}

section#plp-cad-cartbench, #custom-submittal-widget {
    display: inline-flex;
    align-items: baseline;
    vertical-align: middle;
}

.horizontal-filters.filtering {
    float: none!important;
}

.filter-button {
    transition: var(--button-transition);
    background: var(--color-button) !important;
    border-color: var(--color-button-border) !important;
    color: var(--color-button-text) !important;
    border-radius: var(--button-border-radius);
	padding: var(--button-padding);
	font-size: var(--button-font-size) !important;
	box-shadow: var(--button-box-shadow);
    border-width: 1px;
    font-weight: bold !important;
}
.filter-button:hover,
.filter-button:focus {
    background: var(--color-button-hover) !important;
    border-color: var(--color-button-hover-border) !important;
    color: var(--color-button-hover-text) !important;
    font-weight: 500;
}
.ui-dialog-titlebar .filter-button {
	padding: 0 !important;
}
.ui-dialog-titlebar .filter-button:hover {
	background: none !important;
}

.filter-button {
    padding: .4em 1em;
    display: inline-block;
    position: relative;
    line-height: normal;
    margin-right: .1em;
    cursor: pointer;
    vertical-align: middle;
    text-align: center;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    overflow: visible;
}

i.fa.fa-paper-plane.fa-2x {
    font-size: 14px;
}

.filter-type.details.list {
    /* height: auto; */
}
#plp-buttonbar .horizontal-filters .filter-type {
    height: auto;
}

#plp-buttonbar .filter-button.ui-state-default.ui-corner-all {
    margin-right: 3px;
}
#plp-ps-cartbench {
	display: inline-flex;
  align-items: baseline;
  vertical-align: middle;
	margin: 0px 0px;
	box-sizing: border-box;
	& #plp-header-links {
		display: block;
	}
}
#custom-submittal-widget {
	height: auto !important;
	margin:  0px !important;
	color: white !important;
	& .fa-paper-plane {
		font-size: 18px !important;
	}
}
#custom-submittal-widget a {
	color: white !important;
	text-decoration: none;
	margin: 0px !important;
	line-height: inherit;
	padding-right: 8px;
	&:hover {
		color: white !important;
	}
}

#plp-buttonbar .horizontal-filters .filter-button {
    margin-right: 3px;

}

#plp-buttonbar .filter-button.ui-state-default {
	 background: var(--color-button) !important;
	 border-color: var(--color-button-border) !important;
}





.horizontal-filters menu.filter-list {
    color: #212121!important;
}

div.adv-attributecontrol[data-display="ImageCheckboxes"] {
	color:white
}



/* Sidebar Sitemap Styles */
#sidebar-sitemap > li {
    font-size: 0px;
    & * {
        font-size: initial;
    }
}
#sidebar-sitemap {
    width: 250px;
    max-width: 25%;
    min-width: 20%;
    overflow-y: auto;
    background-color: #fff;
    border-right: 1px solid #ddd;
    padding: 20px;
    padding: 20px; /* Padding inside the sidebar */
    box-shadow: 2px 0px 5px rgba(0,0,0,0.1); /* Shadow for depth */
}
/* Styling for list items */
#sidebar-sitemap ul {
    list-style-type: none; /* Remove default list styling */
    padding: 0; /* Remove default padding */
    margin: 0; /* Remove default margin */
}

/* Styling for links */
#sidebar-sitemap a {
    display: block; /* Make links block elements */
    color: #333; /* Text color */
    padding: 3px 3px; /* Padding for links */
    text-decoration: none; /* Remove underline from links */
    border-radius: 0px; /* Rounded corners for links */
    transition: background-color 0.3s; /* Smooth transition for hover effect */
}
#sidebar-sitemap li.expanded > a {
	font-weight: bold;
}
#sidebar-sitemap li:not(.expanded) {
    border-bottom: 1px solid #ccc;
}

/* Hover effect for links */
#sidebar-sitemap a:hover {
    /*background-color: #eaeaea; /* Background color on hover */
    text-decoration: underline; /* Underline link on hover */
    border-bottom: none;
    border-radius: 4px;
}

/* Optional: Style for 'active' class to highlight current page */
#sidebar-sitemap a.active {
    color: #0b71c2 !important; /* Active link text color */
    font-weight: bold;
}

/* Styling for subcategories */
#sidebar-sitemap ul ul {
    padding-left: 15px; /* Indent subcategories */
    display: none; /* Initially hide subcategories */
    border-left: 1px solid #ccc; /* Optional: add a vertical line to indicate hierarchy */
}

#sidebar-sitemap li > span {
    display: none;
}

#sidebar-sitemap > li {
    list-style-type: none; /* Remove default list styling */
}

/* Style for list items that contain a nested list */
#sidebar-sitemap li:has(> ul) {
    position: relative;
}

/* Create the expand/collapse indicator using ::before pseudo-element */
#sidebar-sitemap li:has(> ul)::before {
    content: '+';
    position: absolute;
    left: 0;
    top: 0;
    transform: translate(-0.75em, 0.25em);
    cursor: pointer;
    padding: 0 3px;
    color: #333;
    /* Add more styling as needed */
}

/* Style for when the sub-list is expanded */
#sidebar-sitemap li.expanded::before {
    content: '-';
}

#sidebar-sitemap > ul > li {
    font-weight: bold;
}

.pen-logowrap {
    background-color: #000;
    margin: 10px 0; }
    .pen-logowrap a {
      position: relative; }
      @media (min-width: 40em) {
        .pen-logowrap a:after {
          content: "";
          height: 24px;
          position: absolute;
          width: 1px;
          background-color: #535353;
          right: -2px;
          top: 4px; } }
      @media (min-width: 80em) {
        .pen-logowrap a:after {
          right: -28px; } }
    @media (min-width: 40em) {
      .pen-logowrap {
        float: right;
        background-color: transparent;
        margin: 0; } }
    @media (min-width: 60em) {
      .pen-logowrap {
        margin-left: 15px; } }
    @media (min-width: 80em) {
      .pen-logowrap {
        margin-right: 20px;
        margin-left: 20px; } }
    .pen-logowrap img {
      max-width: 128px;
      display: block; }
      @media (min-width: 60em) {
        .pen-logowrap img {
          max-width: 115px; } }
      @media (min-width: 80em) {
        .pen-logowrap img {
          max-width: 128px; } }


.inner-wrap, .inner-wrap-fullwidth, .inner-wrap-narrow, .inner-wrap-wide {
    max-width: 80em;
    margin-left: auto;
    margin-right: auto;
    padding: 1.5em 1em 1.5em 1em;
    flex-grow: 1;
}

.site-content {
    display: flex;
    max-width: 100em !important;
    margin-left: auto;
    margin-right: auto;
    min-width: 80%;
}

.treeview .hitarea {
    background: none!important;

}

.treeview li {
    background: none!important;
	padding-left:3px!important
}

.ui-widget-content {
    border: 1px solid #aaaaaa;
    /* background: #f2f2f0
 url(images/ui-bg_flat_75_ffffff_40x100.png) 50% 50% repeat-x; */
    color: #212121;
    font-family: var(--font-family)!important;
    font-size: 1em!important;
}

.ui-dialog.ui-corner-all.ui-widget.ui-widget-content.ui-front.cad-fixed-popup.ui-draggable {
    z-index: 10000!important;
}

ul#plp-list-description li ul, ul#plp-list-item-description li ul {
    padding: 0 0 0 40px!important;
}

ol.filter-group-wrapper {
    list-style-type: none;
}

.filter-group-wrapper tr > td:first-child {
    padding-right: 20px;
}

.filter-text {
    white-space: nowrap;
}

.fa {
    font: normal normal normal 20px/1 FontAwesome !important;

}

.fa-linkedin:before {
    content: "ÃƒÂ¯Ã†â€™Ã‚Â¡"!important
}

.fa-twitter:before {
    content: "ÃƒÂ¯Ã¢â‚¬Å¡Ã¢â€žÂ¢"!important
}

.filter-group-wrapper {
    padding: 0 10px 0px 10px!important;
}

.\31 001021.adv-attributecontrol .filter-option, .filter-group {
    width: 280px!important;

}

.filter-list .filter-group-wrapper .filter-target, .filter-list .filter-target {
    padding: 0 25px 0 0px!important;
}


.filter-list {
    width: max-content!important;
   
}

.filter-group-wrapper {
    width: auto!important;
}

.filter-option {
     width: auto!important;
}

.filter-target {
    width: auto!important;
}

.filter-text {
    width: auto!important;
    white-space: nowrap;
}


.filter-list td {
    padding-right: 15px;
}





.filter-list td {
    padding-right: 15px;
}


.filter-option .filter-target {
    display: flex;
    flex-wrap: nowrap; 
}

.filter-target input {
    margin-top: 0px!important;
}

.filter-list .filter-group-wrapper .filter-target, .filter-list .filter-target {
    height: 40px!important;
}


.plp-clear-wrapper {
    clear: both;
    padding-top: 10px;
	padding-left:5px
}

.plp-global-clear {
    display: block;
	font-family:aktiv-grotesk-condensed!important
}

body .ui-dialog {
    max-height: 100vh !important;

}

div#ui-id-2 {
    max-height: 525px!important;
}